#include <iostream>
#include <string>
#include <vector>
using namespace std;

vector<string> split(string in)
{
    in.push_back(' ');

    enum { SPACE, WORD } state = SPACE;
    vector<string> words;
    string w; // Current word

    for(char c : in) {
        if(c == ' ' and state == SPACE) {
            // Ignore
        }
        else if(c != ' ' and state == SPACE) {
            // Start new word
            w = "";
            w.push_back(c);
            state = WORD;
        }
        else if(c == ' ' and state == WORD) {
            // Finish word
            words.push_back(w);
            state = SPACE;
        }
        else if(c != ' ' and state == WORD) {
            // Add to word
            w.push_back(c);
        }
    }

    if(state == WORD)
        words.push_back(w);

    return words;
}

int main()
{
    while(true) {
        string input;
        cout << "> ";
        getline(cin, input);

        vector<string> ws = split(input);
        for(string w : ws) 
            cout << "`" << w << "` ";
        cout << endl;
    }
}